<%@page contentType="text/html; charset=UTF-8"%>
<%@ page import="com.csc.library.entry.HelpEntry,com.csc.library.system.*,com.csc.library.utilities.*,com.csc.library.entry.*,com.csc.library.database.*,com.csc.library.session.*,com.csc.library.report.ReportUDF"  %>
<jsp:useBean id="AS09_1" scope="page" class="com.csc.library.system.Task"/>
<%
    AS09_1.setChannel(request, response);
    HelpEntry screen = (HelpEntry) AS09_1.process("HelpEntry","AS09_1");
	screen.process();
%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<title></title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<link href="../CSS/TISCO.css" rel="stylesheet" type="text/css">
<script  language="JavaScript" src="../JS/SCREEN.js"></script>

<script type='text/javascript' src='../JS/ICONSMENU.js'></script>
<script language='javascript' src='../JS/HOTKEY.js'></script>
<script language='javascript'>setLang('<%=screen.getUProfile().get("lang")%>');</script>

<script language="JavaScript" type="text/JavaScript">
<!--



function MM_preloadImages() { //v3.0
  var d=document; if(d.images){ if(!d.MM_p) d.MM_p=new Array();
    var i,j=d.MM_p.length,a=MM_preloadImages.arguments; for(i=0; i<a.length; i++)
    if (a[i].indexOf("#")!=0){ d.MM_p[j]=new Image; d.MM_p[j++].src=a[i];}}
}

function setSelectAll(obj){
	var flag = obj.checked;
	with(document.forms[0]){
		for(i=0;i<elements.length;i++){
			if(elements[i].type == "checkbox"){
				elements[i].checked = flag;
			}
		}
	}
}

function setAssessor(){
var tmpstr="";
		with(document.cscform){
		        if((typeof __assess)!="undefined"){		
		          for(i=0;i<__assess.length;i++){
				  			if(__assess[i].checked){
							          tmpstr+=__assess[i].value+"#"+__apstdesc[i].value+"#"+__apsweight[i].value+",";
							}
				  }
		     }
		}
		return tmpstr;
}

function setAssessy(){
var tmpstr="";
		with(document.cscform){
		        if((typeof __assess)!="undefined"){
		          for(i=0;i<__assess.length;i++){
				  			if(__assess[i].checked){
							          tmpstr+=__assess[i].value+"#"+__apstdesc[i].value+",";
							}
				  }
			 }
		}
		return tmpstr;
}

//-->
</script>

</head>
<body leftmargin="0" topmargin="0" marginwidth="0" marginheight="0">
  <form name="cscform" method="post">
 

<!----------BEGIN CSC INITIAL ZONE ------------------------>

<%=screen.InitialVariable()%>

<!----------END CSC INITIAL ZONE -------------------------->

<input type="hidden"name="__screen"  value="AS09_1">
  <input type="hidden" name="__help" value="<%=request.getParameter("__help")%>">
  <input type="hidden" name="__cmd"  value="">
  <input type="hidden" name="__resultSet"  value="<%=request.getParameter("__resultSet")%>">
 <input type="hidden" name="__language" value ="<%=screen.getUProfile().get("lang")%>"> 
  <input type="hidden" name="__fixCon" value="<%=request.getParameter("__fixCon")%>">
  <table border="0" align="center" cellpadding="1" cellspacing="1" bgcolor="#666666" class="inframe">
    <tr>
      <td width="15%" nowrap   class="title1"><div align="center">
          <input type="checkbox" name="checkbox" value="checkbox" onClick="setSelectAll(this);">
        </div></td>
      <td width="20%" nowrap   class="title1"> <div align="center">
          <script language="JavaScript">
swapLang('Code');
</script>
        </div></td>
      <td nowrap   class="title1"> <div align="center">
          <script language="JavaScript">
swapLang('Description');
</script>
        </div></td>
		<%
	 if(request.getParameter("__resultSet").length()>0){	
				while(screen.nextRec()){
		%>
    </tr>
    <tr bgcolor="#E1E1E1">
      <td valign="top" nowrap><div align="center">
          <input type="checkbox" name="__assess" value="<%=screen.getString("empid")%>">
		  <input type="hidden" name="__apsweight" value="<%=screen.getString("empweight")%>">
		  <input type="hidden" name="__apstdesc" value="<%=screen.getString("emptdesc")%>">
        </div></td>
      <td valign="top" nowrap> <div align="center"><%=screen.getString("empid")%></div></td>
      <td valign="top" nowrap><font size="2"><%=screen.getString("emptdesc")%> 
        </font></td>
    </tr>
	<%
	}
	}
	%>
  </table>
</form>
</body>
</html>
